<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;

$id = isset($_GET['id']) ? abs(intval($_GET['id'])) : false;
$user = DB::$dbs->queryFetch("SELECT * FROM blogger WHERE id = ? LIMIT 1",[$id]);
if (empty($id)) {
header('location: /');
die();
}
$do = isset($_GET['do']) ? htmlentities($_GET['do']) : false;
switch($do) {
default:
$title->SetTitle(''.homeurl.' - Награды ');
///Подключаем шапку
$title->GetHeader();

echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Просмотр наград </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Награды</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';
echo '<div class="catSides"><a href="/"><i class="md-format-list-bulleted"></i> Главная </a> - Награды для '.Nick($id).'</div>';

if ($b['level']>=3) echo '<div class="row text_box"><a href="?do=add&id='.$id.'"><i class="md-shuffle"></i>  Наградить пользователя</a></div>';
$look = DB :: $dbs -> querySingle("SELECT COUNT(id) FROM medals WHERE user_id = ?",[$id]);
$num = 10;
$k_page = k_page($look, $num);
$page = page($k_page);
$start = $num*$page-$num;
if ($look==0) {
echo '<div class="error">'.Nick($id).' еще не награждался!</div>';
}

$query = DB :: $dbs -> query("SELECT * FROM medals WHERE user_id = ? ORDER BY time DESC LIMIT $start,$num",[$id]);
while ($arr = $query -> fetch()) {
echo '<div class="row text_box">Награду вручил: '.Nick($arr['id_user']).' ('.vr($arr['time']).')<br/>
<img src="/assets/medals/'.$arr['type'].'.png" alt="*"/> <br/><b>Описание:</b> <font color="red">'.text($arr['text']).'</font></div>';
}
if ($k_page>1) {
str('?id='.$id.'&', $k_page, $page);
}
break;
case 'add':
$title->SetTitle(''.homeurl.' - Награды ');
///Подключаем шапку
$title->GetHeader();

echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Просмотр наград </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">Награды</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';

if ($b['level']<3) {
header('location:/');
die();
}
echo '<div class="catSides"><a href="/"><i class="md-format-list-bulleted"></i> Главная </a> - Награды для '.Nick($id).'</div>';
if (isset($_POST['ok'])) {
$text = check($_POST['text']);
$type = abs(intval($_POST['type']));
if (empty($text)) {
$err = 'Введите комментарий!';
} elseif (empty($type)) {
$err = 'Выберите медаль!';
}
if (empty($err)) {
DB::$dbs-> query("INSERT INTO medals SET text = ?, user_id = ?, id_user = ?, type = ?, time = ?",[$text,$id,$b['id'],$type,time()]);
jurnal($id,Nick($b['id']).' вручил Вам <a href="/info/medals.html?id='.$id.'">[награду]</a>!',5);
lenta(Nick($b['id']).' вручил <a href="/info/medals.html?id='.$id.'">[награду]</a> мастеру '.Nick($id).'!');
header('location: ?id='.$id);
die();
} else {
echo '<div class="error"><b>'.$err.'</b></div>';
}
}
echo '<div class="row text_box"><form action="?do=add&id='.$id.'" method="POST">Награда для '.Nick($id).':<br/>';
for($i=0;$i++<16;){
echo '<input type="radio" name="type" value="'.$i.'"/> <img src="/assets/medals/'.$i.'.png" alt="*">';
}
echo '<br/>За что:<br/><textarea class="form-control" rows="3" name="text"></textarea><br/><input type="submit" class="btn btn-primary"name="ok" value="Наградить"/></form>';
echo '</div>';
break;
}
///Подключаем меню
$title->GetMenu();


///Подключаем футер
$title->GetFooter();
?>